import java.io.InputStream;
import java.io.FilterInputStream;
import java.io.IOException;

public class LowercaseInputStream extends FilterInputStream
{
    public LowercaseInputStream( InputStream s )
    {
        super( s );
    }

    public int read() throws IOException
    {
        int nextCharacter = super.read();

        if ( Character.isUpperCase( (char) nextCharacter ) )
            nextCharacter = (int) Character.toLowerCase(
                                      (char) nextCharacter );

        return nextCharacter;
    }
}
