import java.io.InputStream;
import java.io.FileInputStream;
import java.io.IOException;

public class LowercaseInputStreamExample
{
   public static void main( String [] args ) throws IOException
   {
      InputStream source;
      int         nextCharacter;

      if ( args.length == 0 )
         source = new LowercaseInputStream( System.in );
      else
         source = new LowercaseInputStream(
                          new FileInputStream( args[0] ) );

      while ( true )
      {
         nextCharacter = source.read();
         if ( nextCharacter == -1 ) break;
         System.out.print( (char) nextCharacter );
      }
   }
}
