import java.io.InputStream;
import java.io.FileInputStream;
import java.io.IOException;

public class Rot13
{
    public static void main( String [] args ) throws IOException
    {
        InputStream source = null;

        if ( args.length == 0 )
            source = new Rot13InputStream( System.in );
        else if ( args[0].equals( "-e" ) )
            source = new Rot13InputStream(
                         new FileInputStream( args[1] ) );
        else if ( args[0].equals( "-i" ) )
            source = new Rot13InputStream(
                         new Rot13InputStream(
                             new FileInputStream( args[1] )));
        else
        {
            System.out.println( "USAGE: java Rot13 [ -e|-d <filename> ]" );
            System.exit( -1 );
        }

        int nextCharacter;

        while ( true )
        {
            nextCharacter = source.read();
            if ( nextCharacter == -1 ) break;
            System.out.print( (char) nextCharacter );
        }
    }
}
