import java.io.FilterInputStream;
import java.io.InputStream;
import java.io.IOException;

public class Rot13InputStream extends FilterInputStream
{
   public Rot13InputStream( InputStream s )
   {
      super( s );
   }

   public int read() throws IOException
   {
      int nextCharacter = super.read();

      if ( nextCharacter >= 97 && nextCharacter < 110 )
         nextCharacter += 13;
      else if ( nextCharacter >= 110 && nextCharacter < 123 )
         nextCharacter -= 13;
      else if ( nextCharacter >= 65 && nextCharacter < 78 )
         nextCharacter += 13;
      else if ( nextCharacter >= 78 && nextCharacter < 91 )
         nextCharacter -= 13;

      return nextCharacter;
   }
}
