import java.io.InputStream;
import java.io.SequenceInputStream;
import java.io.StringBufferInputStream;
import java.io.IOException;
import java.util.Vector;

public class CountBytes3b
{
    public static void main( String[] args ) throws IOException
    {
        InputStream dataSource;

        if ( args.length == 0 )
            dataSource = System.in;
	else
        {
            Vector streams = new Vector();
            for (int i = 0; i < args.length; i++)
                streams.addElement( new StringBufferInputStream(args[i]) );
            dataSource = new SequenceInputStream( streams.elements() );
        }

        StreamAnalysis worker = new StreamAnalysis( dataSource );
        System.out.println( worker.charCount() + " bytes" );
    }
}
